require File.dirname(__FILE__) + '/../test_helper'

class UseCaseTest < Test::Unit::TestCase
  fixtures :use_cases, :actors

  def test_name_is_not_blank
    use_case = UseCase.new
    assert !use_case.valid?
    assert use_case.errors.invalid?(:name)
  end

  def test_name_is_unique
    use_case = UseCase.new(:name => use_cases(:full).name)
    assert !use_case.save
    assert use_case.errors.invalid?(:name)
  end

  def test_actor_is_present
    use_case = UseCase.new(:name => "Identify requeriments")
    assert !use_case.valid?
    assert use_case.errors.invalid?(:actor_id)
  end

end
